/*
 *  libgfx2 - FreeBASIC's alternative gfx library
 *	Copyright (C) 2005 Angelo Mottola (a.mottola@libero.it)
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2.1 of the License, or (at your option) any later version.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

/*
 * freebsd.c -- list of FreeBSD gfx drivers
 *
 * chng: jan/2007 written [DrV]
 *
 */

#include "fb_gfx.h"
#include "fb_gfx_x11.h"

const GFXDRIVER *__fb_gfx_drivers_list[] = {
	&fb_gfxDriverX11,
#ifdef HAVE_GL_GL_H
	&fb_gfxDriverOpenGL,
#endif
	NULL
};

/*:::::*/
void fb_hScreenInfo(int *width, int *height, int *depth, int *refresh)
{
	if (fb_hX11ScreenInfo(width, height, depth, refresh))
		*width = *height = *depth = *refresh = 0;
}
